# Uses of Interface
javax.print.event.PrintJobAttributeListener

Packages that use PrintJobAttributeListener
Package
Description
javax.print
Provides the principal classes and interfaces for the Java Print Service API.

- ## Uses of PrintJobAttributeListener in javax.print

  Methods in javax.print with parameters of type PrintJobAttributeListener
  Modifier and Type
  Method
  Description
  `void`
  DocPrintJob.`addPrintJobAttributeListener(PrintJobAttributeListener listener, PrintJobAttributeSet attributes)`
  Registers a listener for changes in the specified attributes.
  `void`
  DocPrintJob.`removePrintJobAttributeListener(PrintJobAttributeListener listener)`
  Removes an attribute listener from this print job.